summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Herlant <aerostitch@debian.org>2019-11-02 04:00:08 -0700
committerJoseph Herlant <aerostitch@debian.org>2019-11-02 04:00:08 -0700
commit0d756a51c32126efcfaa10e6a0a5cdbb5dd4b719 (patch)
treebf399950c31ea1ae293c1f842dcdbb0191feefee
parent49ab1c5b8d1e10f4d1436ee07c73ba5a6c7deb7f (diff)
downloadnavit-0d756a51c32126efcfaa10e6a0a5cdbb5dd4b719.tar.gz
Just do an exit 1 when we are on a tag
-rwxr-xr-xscripts/check_need_build.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/check_need_build.sh b/scripts/check_need_build.sh
index 4e15adeb7..05dfbc701 100755
--- a/scripts/check_need_build.sh
+++ b/scripts/check_need_build.sh
@@ -4,10 +4,12 @@
# The idea is also to build if the exit code is different from 0 as it means we cannot get a filtered list properly. #
# ################################################################################################################### #
-# This blockconstructs the list of files that differ from the trunk branch.
+# If we are on a tag, just exit 1 as we want to go on with the build
+git describe --exact-match --tags HEAD 2>&1 2>/dev/null && exit 1 || echo "Not on a tag, checking files diff"
+
+# This block constructs the list of files that differ from the trunk branch.
# Note that if you are on the trunk or master branch it will return the files modified by the last commit.
declare -a file_list=$(git diff --name-only refs/remotes/origin/trunk)
-
# If there is no diff that might just mean that you are on the trunk or master branch
# so you just want to check the last commit. This way we still have that check more
# or less working when pushing directly to trunk or when merging in master.